Subject: Re: bug#25602: [parted] Problem with msdos mbr creation

From: Phil Susi <[email-masked]>
Date: Tue, 18 Apr 2017 11:50:27 -0400

On 2/1/2017 6:33 PM, Brian C. Lane wrote:
> That's the MBR boot code normally used to boot a BIOS system. If it
> causes problems on a non-x86 system you should zero it out (or write the
> system bootloader after partitioning).

Brian, do you know why parted adds the boot code but fdisk does not?
Maybe we should consider removing it?  It's only use is to chain load
the "active partition" boot loader.  I can only think of three times
this is going to be used:

1) Booting DOS/Windows: they have commands to add the boot code after
the fact, and normally they would partition the disk first.

2) Booting with LILO installed to a partition: LILO had a switch to
write the MBR boot code if you ever wanted to do this and anyone still
uses LILO.

3) Booting with GRUB installed to a partition: GRUB strongly recommends
installing to the MBR instead, and if you really must put it in a
partition, and don't already have MBR boot code, you can use LILO to add it.